"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os = require("os");
class Escaper {
    getEscaped(document) {
        var betweenQuotes = document.split('\"');
        for (var i = 1; i < betweenQuotes.length; i = i + 2) {
            if (betweenQuotes[i].includes('\n')) {
                betweenQuotes[i] = betweenQuotes[i].replace(/\r?\n|\r/g, '\\n');
            }
        }
        var result = betweenQuotes[0];
        for (i = 1; i < betweenQuotes.length; i++) {
            result += "\"" + betweenQuotes[i];
        }
        return result;
    }
    getUnescaped(document) {
        var betweenQuotes = document.split('\"');
        for (var i = 1; i < betweenQuotes.length; i = i + 2) {
            betweenQuotes[i] = betweenQuotes[i].replace(/\\n/g, os.EOL);
        }
        var result = betweenQuotes[0];
        for (i = 1; i < betweenQuotes.length; i++) {
            result += "\"" + betweenQuotes[i];
        }
        return result;
    }
}
exports.Escaper = Escaper;
//# sourceMappingURL=escaper.js.map